It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

Upgrading to HipChat server 2.4.3 from 2.2.4 error

Apologies before hand, my knowledge of Linux and HipChat is very limited. 

When upgrading from 2.2.4 to 2.4.3, I get the error message 

"E: Unable to locate package hc-consul
error when executing 'apt-get install --yes --force-yes -o Dpkg::Options::="--force-confdef" - Dpkg::Options::="--force-confdef"' , '-o Dpkg::Options::="--force-confold"', 'hc-consul']' returned non-zero exit status 100

Updating system configuration, this may take a few minutes..." 


The upgrade then gets stuck at this stage for a long time. Any ideas on what this means? Would the upgrade complete if I just left this running for longer? 

 

 

1 answer

1 accepted

0 votes
Answer accepted
AhmadDanial Atlassian Team Jan 14, 2019

Hi, Zak.

The error means that the hc-consul is missing from the set of packages in the current HipChat Server instance. This specific package is removed from 2.4.3 as we can see from the outputs I am getting when I run this command on my local instances:

HipChat Server 2.2.4

admin@hipchat224:~$ dpkg -l | grep hc-
ii hc-chef-repo 2017.04.24.053503-66052a1 all config management for HipChat
ii hc-client-bundle 2017.03.02.135340-f954e2b all HipChat desktop and mobile clients
ii hc-consul 2017.03.01.171726-6e7ad1c all Consul for HipChat
ii hc-crowd 2017.04.14.172353-933cee9 all Atlassian Crowd for HipChat
ii hc-curler 2017.02.27.212247-774360f all HipChat Curler
ii hc-emoticons 2017.03.14.160414-5d7c1e3 all HipChat Emoticons
ii hc-fishtank 2017.04.24.053512-66052a1 amd64 HipChat Services
ii hc-punjab 2017.03.26.075806-2356328 amd64 BOSH server
ii hc-scissortail 2017.04.24.053514-66052a1 all HipChat data migration
ii hc-server-cli 2017.04.24.053515-66052a1 amd64 HipChat Server CLI
ii hc-web 2017.04.24.053514-66052a1 all web-based functionality for HipChat
ii hc-webcore 2017.04.20.211644-83ffcda all javascript client for HipChat

HipChat Server 2.4.3

admin@hipchat243:~$ dpkg -l | grep hc-
ii hc-chef-repo 2018.10.08.214132-f1d79a2 all config management for HipChat
ii hc-client-bundle 2018.06.08.120652-0287bf6 all HipChat desktop and mobile clients
ii hc-crowd 2018.10.08.214219-f1d79a2 all Atlassian Crowd for HipChat
ii hc-curler 2017.02.27.212247-774360f all HipChat Curler
ii hc-emoticons 2017.07.11.160046-7119847 all HipChat Emoticons
ii hc-fishtank 2018.10.08.214132-f1d79a2 amd64 HipChat Services
ii hc-punjab 2018.06.08.120620-766c9ce amd64 BOSH server
ii hc-scissortail 2018.10.08.214128-f1d79a2 all HipChat data migration
ii hc-server-cli 2018.10.08.214212-f1d79a2 amd64 HipChat Server CLI
ii hc-web 2018.10.08.214128-f1d79a2 all web-based functionality for HipChat
ii hc-webcore 2018.09.17.144440-5839738 all javascript client for HipChat

In this case, I would suggest you to attempt the upgrade HipChat Server using the following method instead:

Let me know if you happen to run into any issues along the way (which phase and step). Thanks.

Thanks. Offline upgrade worked. We did this a few weeks back. 

Like AhmadDanial likes this
AhmadDanial Atlassian Team Jan 22, 2019

You are most welcome, Zak. Happy to help!

Suggest an answer

Log in or Sign up to answer
TAGS
Community showcase
Published in Hipchat

Hipchat Cloud and Stride have reached End of Life (updated)

All good things come to an end - thanks to all our customers and partners who have been along the Hipchat and Stride journey with us.  As of Feb 15th 2019, Hipchat Cloud and Stride have reached ...

35,184 views 9 8
Read article

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you